# PhasicFlow: src/Interaction/Models/grainContactForceModels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

grainContactForceModels.hpp File Reference
Include dependency graph for grainContactForceModels.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::cfModels

## Typedefs

using | limitedCGAbsoluteLinearGrainRolling = grainRolling< cGAbsoluteLinear< true > >
using | nonLimitedCGAbsoluteLinearGrainRolling = grainRolling< cGAbsoluteLinear< false > >
using | limitedCGRelativeLinearGrainRolling = grainRolling< cGRelativeLinear< true > >
using | nonLimitedCGRelativeLinearGrainRolling = grainRolling< cGRelativeLinear< false > >